Skip to content

Device Management Setting ​

2 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
getDeviceAccessMgmtSettingGETGet device access management setting
modifyDeviceAccessMgmtSettingPATCHModify device access management setting

getDeviceAccessMgmtSetting ​

GET /openapi/v1/{omadacId}/device-mgmt

Get device access management setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
json
// omada_call_operation
{
  "operationId": "getDeviceAccessMgmtSetting"
}
Details, permissions and error codes

Get device access management setting.
The interface requires one of the permissions:
Global Other Setting View Only

modifyDeviceAccessMgmtSetting ​

PATCH /openapi/v1/{omadacId}/device-mgmt

Modify device access management setting

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)

Request body — application/json (required) — schema DeviceAccessManagementSetting

FieldTypeRequiredDescription
webControlHttpbooleanyesControl device web http accessing.
webControlHttpsbooleanyesControl device web https accessing.
appDiscoverybooleanyesControl device app discovery, bind with device web https access, if appDiscvoery is enabled, webControlHttps must be enabled.
json
// omada_call_operation
{
  "operationId": "modifyDeviceAccessMgmtSetting",
  "body": "{...}"
}
Details, permissions and error codes

Modify device access management setting.
The interface requires one of the permissions:
Global Other Setting Modify

Released under the MIT License. Not affiliated with or endorsed by TP-Link.